#
# specfile for a52dec
#
# norootforbuild

%define major     0
%define lib       liba52
%define libname   %{lib}-%{major}
%define mandir    %{_mandir}

Summary:        Library for decoding ATSC A/52 streams
Summary(de):    Bibliothek zum dekodieren von ATSC A/52 Streams
Name:           a52dec
Version:        0.7.5svn
Release:        3.4
License:        GPLv2+
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        %{name}-%{version}.tar.bz2
Source1:        mm_accel.h
Patch0:         %{name}-compat.diff
URL:            http://liba52.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       a52 = %{version}-%{release}
Obsoletes:      a52 < %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  gzip
Requires:       %{libname} = %{version}-%{release}
Autoreqprov:    On

%description
liba52 is a free library for decoding ATSC A/52 streams.

%description -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of a52dec
Summary(de):    Bibliotheken zu a52dec
Provides:       %{lib} = %{version}-%{release}
Obsoletes:      %{lib} < %{version}-%{release}
Provides:       liba52dec0 = %{version}-%{release}
Obsoletes:      liba52dec0 < %{version}-%{release}

%description -n %{libname}
liba52 is a free library for decoding ATSC A/52 streams.
Shared library part of a52dec.

%description -n %{libname} -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.
Bibliotheken zu a52dec.

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the a52dec library
Summary(de):    Header Dateien und statische Bibliotheken für die a52dec Bibliothek
Provides:       a52dec-devel = %{version}-%{release}
Provides:       liba52dec-devel = %{version}-%{release}
Obsoletes:      liba52dec-devel < %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel
Requires:       gcc

%description -n %{lib}-devel
Header files and static library for the a52dec library.
Install this package if you want to compile programs using the library.

%description -n %{lib}-devel -l de
Header Dateien und statische Bibliotheken für die a52dec Bibliothek.
Installieren Sie dieses Paket, wenn Sie Programme kompilieren wollen,
die diese Bibliothek verwenden.

%debug_package


%prep

%setup
%patch0 -p1

%build
%ifarch x86_64 amd64 ia32e
CFLAGS="${RPM_OPT_FLAGS} -fPIC"
%else
CFLAGS="${RPM_OPT_FLAGS}"
%endif
CC=gcc
export CC CFLAGS
if [ ! -f configure ]; then
	%{?suse_update_config:%{suse_update_config -f}}
	aclocal
	mkdir .auto
	libtoolize --force
	aclocal -I m4
	autoheader
	automake --gnu --add-missing
	autoconf
	automake
fi
%configure --enable-shared --disable-static
%__make %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}
%makeinstall
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_includedir}/a52dec/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS HISTORY INSTALL NEWS TODO COPYING
%{_bindir}/*
%{mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/a52dec/
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/liba52.pc

%changelog
* Sun Jun 20 2010 ludwig.nussel@gmx.de
- provide a52dec-devel for compatibility
* Sat Nov 21 2009 Manfred.Tremmel@iiv.de
- update to svn from videolan
* Fri Aug 21 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- rename of the lib packages
* Sun Apr 20 2008 Manfred.Tremmel@iiv.de
- splitted in different packages
* Tue Nov 23 2004 detlef@dreichelt.de
- changes for x86_64:
  - added CFLAGS= -fPIC
* Tue Mar 25 2003 Manfred.Tremmel@iiv.de
- changes to use Packman upload-script
* Sat Feb 22 2003 Manfred.Tremmel@iiv.de
- added --enable-shared
* Wed Feb  5 2003 Manfred.Tremmel@iiv.de
- added german description
- some changes I got from Philipp Thomas <pthomas@suse.de>
* Wed Jul  3 2002 Manfred.Tremmel@iiv.de
- update to Version 0.7.4
* Thu May 30 2002 Manfred.Tremmel@iiv.de
- update to Version 0.7.3
* Sat Dec 29 2001 waldemar@links2linux.de
- first build
